Skip to main content
GET
/
atlantic-queries
Get the list of Atlantic queries you have submitted.
curl --request GET \
  --url https://atlantic.api.herodotus.cloud/atlantic-queries \
  --header 'api-key: <api-key>'
{
  "atlanticQueries": [
    {
      "id": "<string>",
      "externalId": "<string>",
      "dedupId": "<string>",
      "transactionId": "<string>",
      "step": "<string>",
      "programHash": "<string>",
      "integrityFactHash": "<string>",
      "sharpFactHash": "<string>",
      "layout": "<string>",
      "isFactMocked": true,
      "isProofMocked": true,
      "steps": [
        "<string>"
      ],
      "errorReason": "<string>",
      "submittedByClient": "<string>",
      "projectId": "<string>",
      "submittedByWallet": "<string>",
      "bucketId": "<string>",
      "bucketJobIndex": -1,
      "customerName": "<string>",
      "isJobSizeValid": true,
      "retryCount": -1,
      "createdAt": "2023-11-07T05:31:56Z",
      "completedAt": "2023-11-07T05:31:56Z",
      "client": {
        "clientId": "<string>",
        "name": "<string>",
        "isEmailVerified": true,
        "email": "<string>",
        "image": "<string>"
      },
      "isRetriable": true
    }
  ],
  "total": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.herodotus.cloud/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

api-key
string
header
required

Query Parameters

apiKey
string
limit
number
offset
number
clientId
string
network
string
status
string
result
string

Response

Default Response

atlanticQueries
object[]
required
total
number
required